Bug 442276 - Review Request: evas - Hardware-accelerated state-aware canvas API for X-Windows
Review Request: evas - Hardware-accelerated state-aware canvas API for X-Windows
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 441965
Blocks: 442353
  Show dependency treegraph
 
Reported: 2008-04-13 14:51 EDT by Pavel Shevchuk
Modified: 2008-05-02 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 23:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-13 14:51:53 EDT
Spec URL: http://rpm.scwlab.com/evas-goes-rawhide/evas.spec
SRPM URL: http://rpm.scwlab.com/evas-goes-rawhide/evas-0.9.9.042-1.fc9.src.rpm
i386 and x86_64 RPMs built in mock: http://rpm.scwlab.com/evas-goes-rawhide/

Description: 
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.
Comment 1 Pavel Shevchuk 2008-04-13 14:54:35 EDT
RPMLint is silent on all RPMs i built.
License is a bit customized, but Tom "spot" Callawayin from fedora-legal-list 
said it's MIT ( https://www.redhat.com/archives/fedora-legal-list/2008-April/
msg00020.html )
I've been able to successfully use rpms built in mock on different machine to 
built software against this library.
Comment 2 Pavel Shevchuk 2008-04-13 14:59:21 EDT
Woops, i should double-check what i'm pasting ;)

RPMLint gives warning on evas-directfb and evas-gl: W: no-documentation
But i think it's ok, because these packages contain only one .so file and are 
split out just to make base evas package less dependant on various stuff like 
directfb 
Comment 3 Pavel Shevchuk 2008-04-14 10:48:31 EDT
Higher libraries like ecore aren't that loose and splitting out directfb and
opengl engines in this lib doesn't make sense in real world use cases.
Repackaged to single RPM
Comment 4 Jason Tibbitts 2008-04-14 11:24:41 EDT
Are you aware that evas was in Fedora up to FC-5?  You might want to check with
the previous maintainer, Ignacio, for some tips since his package was
significantly different from the one you've submitted.  Not that there's any
requirement that your package match the old one, but perhaps he had reasons for
doing things a certain way which he can share with you.
Comment 5 Pavel Shevchuk 2008-04-14 12:29:19 EDT
It doesn't differ much except in fc5 times it was built with edb support, and 
now edb is deprecated.

Ignacio was including implicit "Provides:" for all enabled features, but i 
don't think it's needed since evas release is single tarball resulting in 
single RPM (-devel doesn't count)
Comment 6 Pavel Shevchuk 2008-04-14 12:31:39 EDT
Sorry, s/implicit/explicit
Comment 7 Pavel Shevchuk 2008-04-14 14:21:33 EDT
I contacted Ignacio, he's not interested in maintaining EFL anymore
Comment 8 Terje Røsten 2008-04-19 11:54:00 EDT
pedantic:

 o please don't use X-Windows in summary, use X, X Window System or nothing:
Hardware-accelerated state-aware canvas API should be OK?

 o nice if spec file fit into 80 columns, split up BuildRequires line

 o no better URL for evas is available?
Comment 9 Pavel Shevchuk 2008-04-19 14:45:29 EDT
Improved evas spec.

New spec: http://rpm.scwlab.com/evas-goes-rawhide/evas.spec
New SRPM: http://rpm.scwlab.com/evas-goes-rawhide/evas-0.9.9.042-2.fc9.src.rpm

* Sat Apr 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-2
- Fixed timestamp of source tarball
- Preserve timestampts of installed files
- Beautified summary
- Added html docs
- Added missing dependencies for evas-devel

2Terjeros: E website is complete mess, only eet has dedicated page, and linking 
casual users (who just want to know wtf are they installing as dependency for 
something like elitaire, the card game) to page with coding docs is not good 
idea IMO. 
Comment 10 Patrice Dumas 2008-04-27 13:14:13 EDT
You should have a look at
http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks
more precisely, the part about 'Doxygen footers', it seems to me to be
an issue here. Also you could have a look at 'Timestamps', though it is
a less problematic issue.

The pkgconfig files are strange (except for evas.pc) since they are 
almost empty. I couldn't find a doc explaining how they should be used, and 
the doc only talks about evas-config which seems to be obsolete. But I
guess that this is wrong as is (and the evas.pc file is right).

Also for my packages, in general graphviz BuildRequires was needed in 
addition to doxygen, but it is not sure that it is needed for evas.
Comment 11 Patrice Dumas 2008-04-30 18:58:50 EDT
(In reply to comment #10)

> the doc only talks about evas-config which seems to be obsolete. But I
> guess that this is wrong as is (and the evas.pc file is right).

No, I guess that it is right as is...
Comment 12 Pavel Shevchuk 2008-05-01 08:32:56 EDT
Sorry, i'm very busy now, i will hopefully fix multilib stuff in few days
Comment 13 Pavel Shevchuk 2008-05-01 20:10:53 EDT
Figured out problem and fixed it with one line of sed. Now -devel packages 
coexist nicely in my system.

[stalwart@delta result]$ rpm -qa | egrep ^evas
evas-0.9.9.042-3.fc9.i386
evas-0.9.9.042-3.fc9.x86_64
evas-devel-0.9.9.042-3.fc9.i386
evas-devel-0.9.9.042-3.fc9.x86_64

New spec: http://rpm.scwlab.com/evas-goes-rawhide/evas.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/evas-0.9.9.042-3.x86_64/
evas-0.9.9.042-3.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/

Eet isn't affected as docs are generated upstream, i'll fix other E-packages 
shortly
Comment 14 Patrice Dumas 2008-05-01 22:48:26 EDT
* rpmlint is silent
* follow guidelines
* free software, license included. License is not really MIT, but if Spot
  considers that it is MIT, let it be MIT
* match upstream
6811e52b0607ce21061a23462a1f9854  evas-0.9.9.042.tar.bz2
* library properly packaged
* %files section right
* doc in devel

I think that it would be better to have 
sed -e 's/$projectname Documentation Generated: $datetime/$projectname
Documentation/'
instead of grep -e, but it is not a blocker. 

Also I would have done that in %prep, but I have no problem if done
in %build.

Terje, is it right with you?
Comment 15 Pavel Shevchuk 2008-05-02 07:23:08 EDT
He's not in CC of this bug
Comment 16 Patrice Dumas 2008-05-02 13:58:36 EDT
APPROVED anyway, he had enough time to state his concerns.
Comment 17 Pavel Shevchuk 2008-05-02 14:09:35 EDT
New Package CVS Request
=======================
Package Name: evas
Short Description: Hardware-accelerated state-aware canvas API
Owners: stalwart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 18 Kevin Fenzi 2008-05-02 18:26:41 EDT
cvs done.
Comment 19 Pavel Shevchuk 2008-05-02 23:18:23 EDT
Imported to cvs and built RPMs for f10. Thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.